Update package file 'openemm-backend-20.04.000.181.tar.gz' deployed with errors.

Use this forum for questions regarding installation, upgrading and configuration of OpenEMM

Moderator: moderator

Manoj Sreepada
Posts: 21
Joined: Thu Aug 06, 2020 1:32 pm

Update package file 'openemm-backend-20.04.000.181.tar.gz' deployed with errors.

Post by Manoj Sreepada » Fri Sep 04, 2020 1:44 pm

Hi,

We get the following Error:

================================
= OpenEMM Installer v20.04.003 =
================================
Root mode: On
Host: mail
License: OpenEMM (ID: 0)
Runtime Version: 20.04.000.043
Manual Version: 20.04.011
OpenEMM Version: 20.04.000.185
System-Url: http://xxxxxxxxxxxxx
OpenEMMBackend Version: Unknown

Update package file 'openemm-backend-20.04.000.181.tar.gz' deployed with errors.
For logs see '/home/openemm/release/log/update_2020-09-04_12-41-11.log'

Extraction of updatePackageFile was not successfull

Current menu: Main

Please choose (Blank => Quit):
1. Show OpenEMM status
2. Configuration
3. Security
4. Install or update package from AGNITAS Website
5. Install or update package from local file
6. Install or update package from AGNITAS Cloud
7. Switch OpenEMM version
8. Restart OpenEMM
9. Send configuration and log files in email
0. Quit

what can we do?

Thanks, Please Advice for Any help.

maschoff
Site Admin
Posts: 2493
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: Update package file 'openemm-backend-20.04.000.181.tar.gz' deployed with errors.

Post by maschoff » Sat Sep 05, 2020 5:20 am

You should have a look at the log file /home/openemm/release/log/update_2020-09-04_12-41-11.log.
OpenEMM Maintainer

Manoj Sreepada
Posts: 21
Joined: Thu Aug 06, 2020 1:32 pm

Re: Update package file 'openemm-backend-20.04.000.181.tar.gz' deployed with errors.

Post by Manoj Sreepada » Sat Sep 05, 2020 9:19 am

We get the following Error:

Log file: /home/openemm/release/log/update_2020-09-04_12-41-11.log.

Update started at: 2020-09-04_12:41:11
Update package url: https://share.agnitas.de/index.php/s/Ts ... C/download
Update package file: openemm-runtime-20.04.000.043.tar.gz
Declined installation of version '20.04.000.043' for application 'runtime'
Update package url: https://share.agnitas.de/index.php/s/Tz ... E/download
Update package file: apache-tomcat-9.0.33.tar.gz
Declined installation of version '9.0.33' for application 'tomcat'
Update package url: https://share.agnitas.de/index.php/s/0Q ... F/download
Update package file: apache-tomcat-native-1.2.23-CentOS7.tar.gz
Declined installation of version '1.2.23' for application 'tomcat-native'
Update package url: https://share.agnitas.de/index.php/s/K3 ... w/download
Update package file: openemm-frontend-20.04.000.185.tar.gz
Declined installation of version '20.04.000.185' for application 'frontend'
Update package url: https://share.agnitas.de/index.php/s/37 ... s/download
Update package file: openemm-manual-20.04.011.tar.gz
Declined installation of version '20.04.011' for application 'manual'
Update package url: https://share.agnitas.de/index.php/s/5l ... K/download
Update package file: openemm-backend-20.04.000.181.tar.gz
Removed already existing file '/home/openemm/release/backend/openemm-backend-20.04.000.181.tar.gz'
Downloaded to file '/home/openemm/release/backend/openemm-backend-20.04.000.181.tar.gz'
Installing "/home/openemm/release/backend/openemm-backend-20.04.000.181.tar.gz"
Update ended at: 2020-09-04_12:41:36

Thanks,

maschoff
Site Admin
Posts: 2493
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: Update package file 'openemm-backend-20.04.000.181.tar.gz' deployed with errors.

Post by maschoff » Sat Sep 05, 2020 6:01 pm

The error is that the version was already installed and had to be removed first:

Code: Select all

Removed already existing file '/home/openemm/release/backend/openemm-backend-20.04.000.181.tar.gz'
So it is not a serious error, rather a warning.
OpenEMM Maintainer

Post Reply